Get an embeddable URL for integrating a widget into your website or app. The URL expires after ten minutes or upon first use, whichever occurs first. You’ll need to obtain a new URL each time the page loads or reloads.
Include the widget_type in the request body to specify which widget you want to embed—the Connect Widget, a Personal Financial Management widget, or an Insights widget. Some request parameters are specific to certain widget types.
To embed the Connect Widget, set widget_type to connect_widget.
For a full list of available widget types, see Widget Types.
The language for localized text in the response, such as the widget and the member_status.error.user_message and member_status.error.error_message fields.
The base64 encoded string defined in this header will be returned in the Member and Member Data Updated webhooks. This allows you to trace user interactions and workflows initiated externally and internally in the MX Platform. Max 1024 characters.
Only use this option if the widget_type is set to connect_widget or connections_widget. Requires use_cases.
Lets the end user add a product to a member from within the widget. transactions adds PFM to the member's use_cases and aggregates account aggregation data; account_verification adds MONEY_MOVEMENT and aggregates instant account verification data.
Only use this option if the widget_type is set to connect_widget.
Load the widget into a specific member that contains an error or requires multifactor authentication. The widget will determine the best view to load based on the member's current state.
This option takes precedence over current_institution_code and current_institution_guid.
Only use this option if the widget_type is set to connect_widget. This loads the Connect Widget to whichever step the microdeposit process is currently in, which may be the verify amounts step, an error state, and so on. This field is required if attempting to load a specific microdeposit for end users to enter amounts.
Used for the Connect Widget and Connections Widget. Specifies the data products to retrieve. This replaces the deprecated mode, include_transactions, and include_identity parameters and can't be sent with them.
Only use this option if the widget_type is set to spending_widget. When used with the Legacy Spending Widget, filters the widget to this date range. Set both from and to; from can't be later than to.
When used with the Cash Flow, Settings, or Money Dashboard widget, sets the widget's default view. Valid value for Cash Flow or Money Dashboard Widgets is manage_income. Valid values for the Notifications section of the Settings Widget (notifications_settings_widget) are accounts, budgets, or insights.
Only use this option if the widget_type is set to master_widget. Launches a specific view in the Master Widget. Valid values are accounts, budgets, cash_flow, debts, finstrong, goals, insights, investments, networth, recurringtransactions, spending, transactions, and trends.
Only use this option if the widget_type is set to connect_widget. This determines whether background aggregation is enabled or disabled for the member created by the Connect Widget. Defaults to false for transaction aggregation and true for account verification. A global default for all members can be set by reaching out to MX.
Only use this option if the widget_type is set to connect_widget.
Requires one of the following parameters: current_institution_code, current_institution_guid, or current_member_guid.
When set to true, navigating back to the search step triggers the Back to Search event. You must listen for this event and close the widget to avoid trapping the user in the search flow.
Only use this option if the widget_type is set to connect_widget. This indicates whether OAuth app2app behavior is enabled for institutions that support it. Defaults to true. When set to false, the widget will not direct the end user to the institution's mobile application. This setting is not persistent. This setting currently only affects Chase institutions.
Deprecated: Use data_request.products instead to set your products. You can't send this option with data_request.
Only use this option if the widget_type is set to connect_widget. This determines whether account owner identification data (AOI, previously called "identity verification") aggregates after the data that's specified by the mode finishes aggregating. Defaults to false. This can be set in either aggregation or verification mode. Setting this to true will produce the following behaviors:
The widget will only search for and display institutions that support the data the mode (aggregation or verification) is aggregating and AOI.
The member connected postMessage event will not be sent until both aggregations are complete.
Deprecated: Use data_request.products instead to set your products. You can't send this option with data_request.
Only use this option if the widget_type is set to connect_widget. This determines whether transaction data are retrieved. Defaults to true in aggregation mode and false in verification mode. This can be set in either aggregation or verification mode. This option does not affect future foreground or background aggregations.
This option is for every widget_type. This configures the widget to render in a mobile WebView. JavaScript event postMessages are replaced with URL updates.
When set to true, you must provide one of the following:
ui_message_webview_url_scheme set to a value other than "mx"
client_redirect_url
If ui_message_webview_url_scheme is "mx" or not provided, client_redirect_url is required.
Only use this option if the widget_type is set to micro_pulse_carousel_widget. Set this to a unique value for each instance of the Micro Insights Widget. This lets us collect unique data for each instance of the widget.
Deprecated: Use data_request.products instead to set your products. You can't send this option with data_request.
Only use this option if the widget_type is set to connect_widget. mode is the most important option for the Connect Widget. This determines what kind of process Connect will run, which affects how you should set many other options. Defaults to aggregation. aggregation mode retrieves account and transaction data; in other words, this runs a standard aggregation. verification mode retrieves account numbers and routing/transit numbers; in other words, it runs an Instant Account Verification (IAV). By default, verification mode does not retrieve transaction data; this default can be modified with secondary options. By default, background aggregation is disabled for all members created in verification mode; this default can be modified with secondary options.
Only use this option if the widget_type is set to connect_widget. This determines how MX will respond to the result of an OAuth flow. When set to APP, MX will redirect to the URI specified in the ui_message_webview_url_scheme. When set to BROWSER, MX will send a postMessage but not redirect. If is_mobile_webview is true, this defaults to APP. If false, it defaults to BROWSER.
Only use this option if the widget_type is set to connect_widget or connections_widget. The origin that receives the widget's postMessage events: the exact origin of the page that embeds the widget, such as https://app.example.com. Include the scheme, host, and port (if non-default), with no path or trailing slash. Only this origin receives events.
If omitted, the widget sends events to the origin in the Referer header of the request that loads the widget. Set this option when your site's Referrer-Policy (for example, no-referrer or same-origin) blocks that header and you can't change the policy. Not used when is_mobile_webview is true, because events are sent as URL changes. See Troubleshooting.
Only use this option if the widget_type is set to connect_widget. This is a client-defined scheme used in OAuth redirects in WebViews; also used in URL updates when these replace postMessages in WebViews. Defaults to mx.
When this is set to "mx" and is_mobile_webview is true, you must also provide client_redirect_url.
Only use this option if the widget_type is set to connect_widget. Load the widget into a view that allows them to update the current member. Optionally used with current_member_guid. This option should be used sparingly. The best practice is to use current_member_guid and let the widget resolve the issue.
The use case that will be associated with any members created through the widget. Valid values are PFM and/or MONEY_MOVEMENT. This is required if you've met with MX and have opted in to using this field.